> ## Documentation Index
> Fetch the complete documentation index at: https://specbeeconsultingservices.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# GET Levels

> Retrieves the levels for the company. Levels are set positions for an organization, such as Manager, or Executive.



## OpenAPI

````yaml get /platform/api/levels
openapi: 3.0.0
info:
  title: API Reference
  version: '1.0'
  contact:
    name: Rippling Support
    email: support@rippling.com
  license:
    name: MIT
  description: >-
    Using Rippling's API requires either an API key or an access token retrieved
    from an OAuth exchange. Each is tied to a single Rippling Company.


    If you are a partner building an integration to Rippling,you can use
    [Rippling's Installation
    Guide](https://developer.rippling.com/docs/rippling-api/fucwnbc121hiu-installation-guide)
    to learn how to retrieve an access token to start using Rippling APIs.


    If you are a customer, you can go
    [here](https://developer.rippling.com/docs/rippling-api/9rw6guf819r5f-introduction-for-customers)
    to learn create your API keys to start using Rippling APIs.


    ### Using the Interactive Documentation


    Rippling's Documentation Portal allows you to test the API endpoints
    directly within the documentation. To do so, provide your API key or Access
    Token as a header parameter with the form Authorization Bearer: Bearer.
  termsOfService: https://app.rippling.com/developer/tos
servers:
  - url: https://api.rippling.com
    description: Production
security:
  - Token: []
tags:
  - name: A. Companies
  - name: B. Employees
  - name: C. Payroll
  - name: D. 401k
  - name: F. Groups
  - name: G. SAML
  - name: E. Current User
  - name: H. ATS
  - name: I. Application Management
  - name: J. Reports
  - name: Deprecated
paths:
  /platform/api/levels:
    parameters: []
    get:
      tags:
        - A. Companies
      summary: GET Levels
      description: >-
        Retrieves the levels for the company. Levels are set positions for an
        organization, such as Manager, or Executive.
      operationId: get-levels
      parameters:
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/offset'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Level'
              examples:
                Success:
                  value:
                    - name: Representative
                      id: 5ee6c643bc3bc72b7f40e04a
                      parent: null
                    - name: Executive
                      id: 5ee6c649bc3bc72cfcb9d3b8
                      parent: null
                    - name: Manager
                      id: 5ee6c6bdbc3bc7293a217ffc
                      parent: null
      security:
        - Token: []
components:
  parameters:
    limit:
      name: limit
      in: query
      description: Sets a limit on the returned values
      schema:
        type: integer
    offset:
      name: offset
      in: query
      description: Offsets the returned values
      schema:
        type: integer
  schemas:
    Level:
      title: Level
      type: object
      description: >-
        Levels enable for self-defined,company-wide position levels, such as
        Manager, Engineering Manager, Executive, etc.
      x-tags:
        - Models
      properties:
        id:
          type: string
          description: Unique identifier of the level.
        name:
          type: string
          description: Name of the level.
        parent:
          type: string
          nullable: true
          description: The unique identifier of the parent level.
  securitySchemes:
    Token:
      type: http
      scheme: bearer

````